integrations:
  - name: nri-redis
    env:
      METRICS: true
      HOSTNAME: localhost
      PORT: 6379
      KEYS: 
      PASSWORD: ''
      CONFIG_INVENTORY: true
      KEYS_LIMIT: 30

      # New users should leave this property as 'true', to identify the
      # monitored entities as 'remote'. Setting this property to 'false' (the
      # default value) is deprecated and will be removed soon, disallowing
      # entities that are identified as 'local'.
      # Please check the documentation to get more information about local
      # versus remote entities:
      # https://github.com/newrelic/infra-integrations-sdk/blob/master/docs/entity-definition.md
      REMOTE_MONITORING: true

      # New users should leave this property as 'true', to uniquely identify the monitored entities when using
      # Unix sockets. It requires UNIX_SOCKET_PATH
      USE_UNIX_SOCKET: false
    interval: 15s

  - name: nri-redis
    env:
      INVENTORY: true
      HOSTNAME: localhost
      PORT: 6379
      PASSWORD: ''

      # New users should leave this property as 'true', to identify the
      # monitored entities as 'remote'. Setting this property to 'false' (the
      # default value) is deprecated and will be removed soon, disallowing
      # entities that are identified as 'local'.
      # Please check the documentation to get more information about local
      # versus remote entities:
      # https://github.com/newrelic/infra-integrations-sdk/blob/master/docs/entity-definition.md
      REMOTE_MONITORING: true

      # New users should leave this property as 'true', to uniquely identify the monitored entities when using
      # Unix sockets. It requires UNIX_SOCKET_PATH
      USE_UNIX_SOCKET: false
    inventory_source: config/redis
    interval: 60s
